Not able to install angular using installed `ng new` command

I am trying to install the angular app using the command of ng new but not able intall. getting following error:

\ Installing packages (npm)...npm ERR! Cannot read properties of undefined (reading 'isServer')

307 http fetch GET 200 https://registry.npmjs.org/yargs 3553ms (cache miss)
308 http fetch GET 200 https://registry.npmjs.org/body-parser 3553ms (cache miss)
309 http fetch GET 200 https://registry.npmjs.org/esbuild 3587ms (cache miss)
310 http fetch GET 200 https://registry.npmjs.org/webpack 3694ms (cache miss)
311 http fetch GET 200 https://registry.npmjs.org/dom-serialize 3704ms (cache miss)
312 http fetch GET 200 https://registry.npmjs.org/connect 3709ms (cache miss)
313 http fetch GET 200 https://registry.npmjs.org/graceful-fs 3709ms (cache miss)
314 verbose stack TypeError: Cannot read properties of undefined (reading 'isServer')
314 verbose stack     at TLSWrap.onerror (node:_tls_wrap:411:27)
315 verbose cwd E:\Training\Webpack-Module-Federation\mfe\scully
316 verbose Windows_NT 10.0.19042
317 verbose argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js" "install" "--quiet"
318 verbose node v16.13.0
319 verbose npm  v8.1.0
320 error Cannot read properties of undefined (reading 'isServer')
321 verbose exit 1

any one please help me?

details for node and npm :

{
  npm: '8.1.0',
  node: '16.13.0',
  v8: '9.4.146.19-node.13',
  uv: '1.42.0',
  zlib: '1.2.11',
  brotli: '1.0.9',
  ares: '1.17.2',
  modules: '93',
  nghttp2: '1.45.1',
  napi: '8',
  llhttp: '6.0.4',
  openssl: '1.1.1l+quic',
  cldr: '39.0',
  icu: '69.1',
  tz: '2021a',
  unicode: '13.0',
  ngtcp2: '0.1.0-DEV',
  nghttp3: '0.1.0-DEV'
}